Package com.independentsoft.office.odf.styles

# Enum Class RubyPosition

java.lang.Object
java.lang.Enum<RubyPosition>
com.independentsoft.office.odf.styles.RubyPosition

All Implemented Interfaces:
  `Serializable`, `Comparable<RubyPosition>`, `Constable`

public enum RubyPosition extends Enum<RubyPosition>
The vertical position of the ruby text in relationship to the ruby base.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ABOVE`
  Ruby text should be above ruby base text.
  `BELOW`
  Ruby text should be below ruby base text.
  `NONE`
  None.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RubyPosition`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static RubyPosition[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ABOVE

    public static final RubyPosition ABOVE
    Ruby text should be above ruby base text.

  - ### BELOW

    public static final RubyPosition BELOW
    Ruby text should be below ruby base text.

  - ### NONE

    public static final RubyPosition NONE
    None.

- ## Method Details

  - ### values

    public static RubyPosition[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RubyPosition valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null